package com.javacodegeeks.example;

import static org.junit.Assert.assertEquals;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

public class SnmpClientTest {

	static MyAgent agent;

	@BeforeClass
	public static void setup() throws Exception {
		agent = new MyAgent();
		agent.start();
	}

	@AfterClass
	public static void tearDown() {
		agent.stop();
	}

	@Test
	public void testGet() throws Exception {
		String actual = SnmpClient.get("127.0.0.1", 161, ".1.3.6.1.2.1.1.1.0");
		assertEquals("My Agent System Description", actual);
	}
}
